Name:           xwayland-run
Version:        0.0.4
Release:        %mkrel 1
Summary:        Set of utilities to run headless X/Wayland clients
Group:          System/X11
License:        GPL-2.0-or-later
URL:            https://gitlab.freedesktop.org/ofourdan/xwayland-run
Source0:        %{url}/-/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  meson >= 0.60.0
BuildRequires:  git-core
BuildRequires:  python3-devel
Requires:       weston
Requires:       x11-server-xwayland
Requires:       dbus
Requires:       xauth

# Provide names of the other utilities included
Provides:       wlheadless-run = %{version}-%{release}
Provides:       xwfb-run = %{version}-%{release}

%description
xwayland-run contains a set of small utilities revolving around running
Xwayland and various Wayland compositor headless.


%prep
%autosetup -S git_am


%build
%meson
%meson_build


%install
%meson_install


%files
%license COPYING
%doc README.md
%{_bindir}/wlheadless-run
%{_bindir}/xwayland-run
%{_bindir}/xwfb-run
%{_datadir}/wlheadless/
%{_mandir}/man1/wlheadless-run.1*
%{_mandir}/man1/xwayland-run.1*
%{_mandir}/man1/xwfb-run.1*
%{python3_sitelib}/wlheadless/




%changelog
* Tue Jul 02 2024 daviddavid <daviddavid> 0.0.4-1.mga10
+ Revision: 2079004
- Update to 0.0.4
- Add required dependency on xauth

* Mon Mar 25 2024 ngompa <ngompa> 0.0.3-1.mga10
+ Revision: 2052038
- Update to 0.0.3

* Sat Jan 13 2024 ngompa <ngompa> 0.0.2-4.mga10
+ Revision: 2030928
- Refresh kwin support patch with final version

* Mon Dec 11 2023 ngompa <ngompa> 0.0.2-3.mga10
+ Revision: 2017083
- Adapt for Mageia
- imported package xwayland-run


* Sun Dec 10 2023 Neal Gompa <ngompa@fedoraproject.org> - 0.0.2-2
- Refresh kwin support patch
- Add provides for other included utilities

* Sun Dec 10 2023 Neal Gompa <ngompa@fedoraproject.org> - 0.0.2-1
- Initial package
